---
title: WeakSet.prototype.delete()
slug: Web/JavaScript/Reference/Global_Objects/WeakSet/delete
tags:
  - ECMAScript 2015
  - JavaScript
  - Method
  - Prototype
  - WeakSet
---
<div>{{JSRef}}</div>

<p>The <strong><code>delete()</code></strong> method removes the specified element from a <code>WeakSet</code> object.</p>

<div>{{EmbedInteractiveExample("pages/js/weakset-prototype-delete.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>ws</var>.delete(<var>value</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>value</var></code></dt>
 <dd>Required. The object remove from the <code>WeakSet</code> object.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><code>true</code> if an element in the <code>WeakSet</code> object has been removed successfully. <code>false</code> if the <code><var>value</var></code> is not found in the <code>WeakSet</code> or if the <code><var>value</var></code> is not an object.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_delete_method">Using the delete() method</h3>

<pre class="brush: js notranslate">var ws = new WeakSet();
var obj = {};

ws.add(window);

ws.delete(obj);    // Returns false. No obj found to be deleted.
ws.delete(window); // Returns true.  Successfully removed.

ws.has(window);    // Returns false. The window is no longer present in the WeakSet.
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-weakset.prototype.delete', 'WeakSet.prototype.delete')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.WeakSet.delete")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("WeakSet")}}</li>
 <li>{{jsxref("WeakSet.prototype.clear()")}}</li>
</ul>
